// +build !ignore_autogenerated

/*
Copyright 2018 Ultimaker

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

// Code generated by deepcopy-gen. DO NOT EDIT.

package v1alpha1

import (
	runtime "k8s.io/apimachinery/pkg/runtime"
)

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *GCPCloudSQLInstance) DeepCopyInto(out *GCPCloudSQLInstance) {
	*out = *in
	out.TypeMeta = in.TypeMeta
	in.ObjectMeta.DeepCopyInto(&out.ObjectMeta)
	out.Spec = in.Spec
	out.Status = in.Status
	return
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new GCPCloudSQLInstance.
func (in *GCPCloudSQLInstance) DeepCopy() *GCPCloudSQLInstance {
	if in == nil {
		return nil
	}
	out := new(GCPCloudSQLInstance)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyObject is an autogenerated deepcopy function, copying the receiver, creating a new runtime.Object.
func (in *GCPCloudSQLInstance) DeepCopyObject() runtime.Object {
	if c := in.DeepCopy(); c != nil {
		return c
	}
	return nil
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *GCPCloudSQLInstanceSpec) DeepCopyInto(out *GCPCloudSQLInstanceSpec) {
	*out = *in
	return
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new GCPCloudSQLInstanceSpec.
func (in *GCPCloudSQLInstanceSpec) DeepCopy() *GCPCloudSQLInstanceSpec {
	if in == nil {
		return nil
	}
	out := new(GCPCloudSQLInstanceSpec)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *GCPCloudSQLInstanceStatus) DeepCopyInto(out *GCPCloudSQLInstanceStatus) {
	*out = *in
	return
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new GCPCloudSQLInstanceStatus.
func (in *GCPCloudSQLInstanceStatus) DeepCopy() *GCPCloudSQLInstanceStatus {
	if in == nil {
		return nil
	}
	out := new(GCPCloudSQLInstanceStatus)
	in.DeepCopyInto(out)
	return out
}
